{% import 'AppBundle:Macros:macros.html.twig' as this %}
{% if from_type is not defined %}
{% set from_type = 'group' %}
{% endif %}
{% if from_type == 'event' and event is defined and event %}
    {% set files = event.attachedFiles %}
    {% set element = event.id %}
{% elseif group is defined and group %}
    {% set files = group.attachedFiles %}
    {% set element = group.id %}
{% elseif event is defined and event %}
    {% set files = event.attachedFiles %}
    {% set element = event.id %}
{% endif %}

{% set showHelp = false %}
<table id="files" class="table">
    {% for file in files %}
    {% if is_granted('VIEW_FILE', file) %}
        <tr>
            <td class="col-sm-5" style="text-align: left">
                {{ file.extension|fileIcon }}
                <strong>{{ file }}</strong>
                {% if is_granted('VIEW_FILE', file) %}
                <i class="fa fa-info-circle" data-toggle="popover" title="{{ file }}" data-content="{{ file.description }}"></i>
                {% endif %}
            </td>
            <td class="col-sm-2">
                {{ file.category }}
            </td>
            <td class="col-sm-2">
                {{ file.lastUpdate|date('d/m/y') }}
            </td>
            <td class="col-sm-3">
                {% if is_granted('DELETE_FILE', file) %}
                    <span class="pull-right  shortButton">
                        <a href="{{ path('file_delete', { 'file_id': file.id, 'from_type': from_type }) }}"
                           data-confirm="Confirmer la suppression du fichier {{ file }} ?"
                           data-remote="true"
                           data-method="delete"
                           class="btn btn-primary  btn-sm">
                            <i class="fa fa-trash-o"></i>
                        </a>
                    </span>
                {% endif %}
                {% if is_granted('UPDATE_FILE', file) %}
                    <span class="pull-right  shortButton">
                        <a href="#"
                           actionUrl="{{ path('file_update', { 'file_id': file.id, 'from_type': from_type }) }}"
                           class="modal-form btn btn-primary btn-sm">
                            <i class="fa fa-edit"></i>
                        </a>
                    </span>
                {% endif %}
                {% if is_granted('VIEW_FILE', file) %}
                    <span class="pull-right shortButton">
                        <a href="{{ path('file_display', { 'id': file.id }) }}"
                           title="{{ file.originalFilename }}" target="_blank"
                           class="btn btn-primary btn-sm">
                            <i class="fa fa-eye"></i>
                        </a>
                    </span>
                {% else %}
                    <span class="pull-right shortButton">
                        <i class="fa fa-ban"></i>
                    </span>
                {% endif %}
            </td>
        </tr>
        {% else %}
        {% set showHelp = true %}
{% endif %}
    {% else %}
        <tr>
            <td class="col-sm-12"> Aucun document :(</td>
        </tr>
    {% endfor %}
</table>
{% if showHelp %}
    {% include 'AppBundle:Documents:help.html.twig' %}
{% endif %}
